For more information on using API

GET http://webapi.mymarketing.co.il/api/whatsappcampaign/templates

Get all approved WhatsApp templates for the user

Request Information

URI Parameters

Body Parameters

None.

Response Information

Resource Description

Collection of ApiWhatsAppTemplateResponse

Name

Description

Type

Additional information

id

Template ID (Sid)

string
name

Template name

string
content

Template content

string

Response Formats

application/json, text/json

Sample:
[
  {
    "id": "sample string 1",
    "name": "sample string 2",
    "content": "sample string 3"
  },
  {
    "id": "sample string 1",
    "name": "sample string 2",
    "content": "sample string 3"
  }
]

application/xml, text/xml

Sample:
<ArrayOfApiWhatsAppTemplateResponse xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
  <ApiWhatsAppTemplateResponse>
    <Id>sample string 1</Id>
    <Name>sample string 2</Name>
    <Content>sample string 3</Content>
  </ApiWhatsAppTemplateResponse>
  <ApiWhatsAppTemplateResponse>
    <Id>sample string 1</Id>
    <Name>sample string 2</Name>
    <Content>sample string 3</Content>
  </ApiWhatsAppTemplateResponse>
</ArrayOfApiWhatsAppTemplateResponse>